<?xml version='1.0' encoding='UTF-8' ?>
<!--
  ~ Copyright (c) 2016 Roman Nazarenko.
  ~
  ~  This program is free software: you can redistribute it and/or modify
  ~  it under the terms of the GNU Affero General Public License as
  ~  published by the Free Software Foundation, either version 3 of
  ~  the License, or (at your option) any later version.
  ~
  ~  This program is distributed in the hope that it will be useful,
  ~  but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~  GNU General Public License for more details.
  ~
  ~  You should have received a copy of the GNU General Public License
  ~  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:h="http://xmlns.jcp.org/jsf/html"
	  xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	  xmlns:f="http://xmlns.jcp.org/jsf/core"
	  xmlns:o="http://omnifaces.org/ui">

<h:head>
	<ui:include src="/WEB-INF/jsf/include/title.xhtml"/>
	<ui:include src="/WEB-INF/jsf/include/imports.xhtml"/>
	<ui:include src="/WEB-INF/jsf/include/init.xhtml"/>
</h:head>
<h:body styleClass="pushable">
	<div class="pusher">
		<div class="ui container framed">
			<ui:include src="/WEB-INF/jsf/include/header.xhtml"/>
			<h:panelGroup id="projectsMenuId" styleClass="ui tabular menu" layout="block">
				<ui:repeat value="${projectsHolderBean.projects}" var="project">
					<h:link styleClass="${openedProjectBean.isCurrent(project.internalName) ? 'active' : ''} item"
							value="${project.name}"
							outcome="/projects.xhtml">
						<f:param name="${navigationParameterUtils.projectNameParameter}" value="${project.internalName}"/>
					</h:link>
				</ui:repeat>
			</h:panelGroup>
			<h:panelGroup id="projectPageId" styleClass="ui centered two columns stackable footer-margin grid" layout="block">
				<div class="ui three wide column">
					<o:graphicImage styleClass="ui small image"
									value="${images.logo(openedProjectBean.current.id)}"
									lastModified="${images.logoLastModified(openedProjectBean.current.id)}"
									alt=""
					/>
					<h:panelGroup styleClass="ui fluid vertical text menu" layout="block">
						<a class="active item">Overview</a>
						<ui:repeat value="${openedProjectBean.links}" var="link">
							<h:outputLink styleClass="item" value="${link.url}">
								${link.name}
							</h:outputLink>
						</ui:repeat>
					</h:panelGroup>
				</div>
				<div class="ui twelve wide column">
					<h:outputText value="${openedProjectBean.currentDescriptionHtml}" escape="false"/>
				</div>
			</h:panelGroup>
		</div>
		<ui:include src="/WEB-INF/jsf/include/footer.xhtml"/>
	</div>
</h:body>
</html>

